{
  "name" : "Simple Connect Wizard",
  "configKey" : "simple-connect-create",
  "display" : "wizard",
  "page" : 0,
  "numPages" : 8,
  "components" : [ {
    "labelPosition" : "left",
    "label" : "Auswahl Mandant",
    "title" : "Auswahl Mandant",
    "tableView" : false,
    "type" : "panel",
    "components" : [ {
      "label" : "Mandant auswählen",
      "hideLabel" : true,
      "optionsLabelPosition" : "right",
      "values" : [ {
        "label" : "Mandant anlegen",
        "value" : "create_new_tenant",
        "shortcut" : ""
      }, {
        "shortcut" : "",
        "label" : "Mandant auswählen",
        "value" : "choose_tenant"
      } ],
      "inline" : false,
      "persistent" : false,
      "clearOnHide" : false,
      "mask" : false,
      "tableView" : true,
      "alwaysEnabled" : false,
      "type" : "radio",
      "input" : true,
      "key" : "wizard_selection",
      "validate" : {
        "unique" : false,
        "customMessage" : "",
        "json" : "",
        "required" : true
      },
      "properties" : { },
      "tags" : [ ],
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "customConditional" : "",
      "logic" : [ ],
      "defaultValue" : "choose_tenant",
      "encrypted" : false,
      "tabs" : null,
      "reorder" : false
    }, {
      "label" : "Mandant",
      "hideLabel" : true,
      "mask" : false,
      "tableView" : true,
      "type" : "container",
      "input" : true,
      "key" : "tenant",
      "components" : [ {
        "label" : "Mandant",
        "customClass" : "ml-4",
        "clearOnHide" : false,
        "mask" : false,
        "tableView" : true,
        "alwaysEnabled" : false,
        "type" : "listselection",
        "input" : true,
        "key" : "selected_tenant",
        "data" : {
          "url" : "/api/v1/scopes/{{context.scopeId}}/tags/{{context.scopeTag}}/datasources/tenants/query",
          "requestBody" : "",
          "values" : [ { } ]
        },
        "columns" : [ {
          "name" : "Name",
          "prop" : "name",
          "value" : "",
          "width" : "",
          "sortable" : true
        }, {
          "name" : "Schlüssel",
          "prop" : "key",
          "value" : "",
          "width" : "",
          "sortable" : true
        } ],
        "projection" : [ {
          "key" : "id",
          "prop" : "id"
        }, {
          "key" : "name",
          "prop" : "name"
        }, {
          "key" : "key",
          "prop" : "key"
        } ],
        "identity" : "id",
        "validate" : {
          "required" : true,
          "unique" : false,
          "customMessage" : "",
          "json" : ""
        },
        "properties" : { },
        "tags" : [ ],
        "conditional" : {
          "show" : "",
          "when" : "",
          "json" : ""
        },
        "customConditional" : "show = data.wizard_selection == 'choose_tenant';",
        "logic" : [ {
          "name" : "if wizard_selection = 'create_new_tenant' then clear",
          "trigger" : {
            "type" : "javascript",
            "javascript" : "result = data.wizard_selection == 'create_new_tenant';"
          },
          "actions" : [ {
            "name" : "clear",
            "type" : "clear"
          } ]
        } ],
        "tabs" : null,
        "datapath" : "",
        "defaultFilter" : "",
        "encrypted" : false,
        "reorder" : false
      } ],
      "properties" : { },
      "clearOnHide" : false
    }, {
      "label" : "Mandant bearbeiten",
      "shortcut" : "",
      "customClass" : "ml-4",
      "persistent" : false,
      "clearOnHide" : false,
      "mask" : false,
      "tableView" : true,
      "alwaysEnabled" : false,
      "type" : "checkbox",
      "input" : true,
      "key" : "edit_tenant",
      "validate" : {
        "unique" : false,
        "customMessage" : "",
        "json" : ""
      },
      "conditional" : {
        "show" : "",
        "when" : "",
        "json" : ""
      },
      "customConditional" : "show = data.wizard_selection == 'choose_tenant';",
      "properties" : { },
      "tags" : [ ],
      "defaultValue" : false,
      "tabs" : null,
      "reorder" : false,
      "encrypted" : false,
      "logic" : [ ]
    } ],
    "input" : false,
    "key" : "ChooseTenant",
    "tags" : [ ],
    "conditional" : {
      "show" : ""
    },
    "properties" : {
      "" : ""
    }
  }, {
    "label" : "Mandant bearbeiten",
    "title" : "Mandant bearbeiten",
    "clearOnHide" : true,
    "mask" : false,
    "tableView" : false,
    "type" : "panel",
    "key" : "page2",
    "input" : false,
    "components" : [ {
      "label" : "tenant",
      "hideLabel" : true,
      "mask" : false,
      "tableView" : true,
      "type" : "container",
      "input" : true,
      "key" : "tenant",
      "components" : [ {
        "labelPosition" : "left-left",
        "columns" : [ {
          "components" : [ {
            "label" : "Name",
            "labelPosition" : "left-left",
            "allowMultipleMasks" : false,
            "showWordCount" : false,
            "showCharCount" : false,
            "clearOnHide" : false,
            "tableView" : true,
            "alwaysEnabled" : false,
            "type" : "textfield",
            "input" : true,
            "key" : "name",
            "defaultValue" : "",
            "validate" : {
              "unique" : false,
              "customMessage" : "Zeichenkette ohne Sonderzeichen, mindestens 4 und höchstens 20 Zeichen",
              "json" : "",
              "required" : true,
              "minLength" : null,
              "maxLength" : null,
              "minWords" : null,
              "maxWords" : null,
              "pattern" : "^[ a-zA-Z0-9-]{4,20}$"
            },
            "inputFormat" : "plain",
            "properties" : { },
            "tags" : [ ],
            "conditional" : {
              "show" : "",
              "when" : "",
              "json" : ""
            },
            "tabs" : null,
            "encrypted" : false,
            "customConditional" : "",
            "logic" : [ ],
            "widget" : {
              "type" : ""
            },
            "reorder" : false
          }, {
            "label" : "Id",
            "mask" : false,
            "tableView" : true,
            "type" : "hidden",
            "input" : true,
            "key" : "id",
            "properties" : { },
            "tags" : [ ]
          } ],
          "width" : 6,
          "offset" : 0,
          "push" : 0,
          "pull" : 0,
          "type" : "column",
          "input" : false,
          "key" : "column1",
          "tableView" : true,
          "label" : "",
          "clearOnHide" : false,
          "hideOnChildrenHidden" : false
        }, {
          "components" : [ {
            "label" : "Key",
            "labelPosition" : "left-left",
            "allowMultipleMasks" : false,
            "showWordCount" : false,
            "showCharCount" : false,
            "tableView" : true,
            "alwaysEnabled" : false,
            "type" : "textfield",
            "input" : true,
            "key" : "key",
            "defaultValue" : "",
            "validate" : {
              "customMessage" : "Zeichenkette ohne Sonderzeichen, mindestens 4 und höchstens 10 Zeichen, alles kleingeschrieben",
              "json" : "",
              "required" : true,
              "minLength" : null,
              "maxLength" : null,
              "minWords" : null,
              "maxWords" : null,
              "pattern" : "^[a-z]{4,10}$"
            },
            "conditional" : {
              "show" : "",
              "when" : "",
              "json" : ""
            },
            "tabs" : null,
            "properties" : { },
            "inputFormat" : "plain",
            "encrypted" : false,
            "tags" : null,
            "customConditional" : "",
            "logic" : [ ],
            "widget" : {
              "type" : ""
            },
            "reorder" : false
          } ],
          "width" : 6,
          "offset" : 0,
          "push" : 0,
          "pull" : 0,
          "type" : "column",
          "input" : false,
          "key" : "column2",
          "tableView" : true,
          "label" : "",
          "clearOnHide" : false,
          "hideOnChildrenHidden" : false
        } ],
        "label" : "Mengenrabattnr.",
        "mask" : false,
        "tableView" : false,
        "type" : "columns",
        "input" : false,
        "key" : "columns"
      } ],
      "clearOnHide" : false
    } ],
    "conditional" : {
      "show" : "",
      "when" : "",
      "json" : ""
    },
    "customConditional" : "show = data.wizard_selection == 'choose_tenant' && !!data.edit_tenant && !!data.tenant && !!data.tenant.id;"
  }, {
    "label" : "Mandant erfassen",
    "title" : "Mandant erfassen",
    "mask" : false,
    "tableView" : false,
    "type" : "panel",
    "key" : "page2",
    "input" : false,
    "components" : [ {
      "label" : "tenant",
      "hideLabel" : true,
      "mask" : false,
      "tableView" : true,
      "type" : "container",
      "input" : true,
      "key" : "tenant",
      "components" : [ {
        "labelPosition" : "left-left",
        "columns" : [ {
          "components" : [ {
            "label" : "Name",
            "labelPosition" : "left-left",
            "allowMultipleMasks" : false,
            "showWordCount" : false,
            "showCharCount" : false,
            "clearOnHide" : false,
            "tableView" : true,
            "alwaysEnabled" : false,
            "type" : "textfield",
            "input" : true,
            "key" : "name",
            "defaultValue" : "",
            "validate" : {
              "unique" : false,
              "customMessage" : "Zeichenkette ohne Sonderzeichen, mindestens 4 und höchstens 20 Zeichen",
              "json" : "",
              "required" : true,
              "minLength" : null,
              "maxLength" : null,
              "minWords" : null,
              "maxWords" : null,
              "pattern" : "^[ a-zA-Z0-9-]{4,20}$"
            },
            "inputFormat" : "plain",
            "properties" : { },
            "tags" : [ ],
            "conditional" : {
              "show" : "",
              "when" : "",
              "json" : ""
            },
            "tabs" : null,
            "encrypted" : false,
            "customConditional" : "",
            "logic" : [ ],
            "widget" : {
              "type" : ""
            },
            "reorder" : false
          } ],
          "width" : 6,
          "offset" : 0,
          "push" : 0,
          "pull" : 0,
          "type" : "column",
          "input" : false,
          "key" : "column3",
          "tableView" : true,
          "label" : "",
          "clearOnHide" : false,
          "hideOnChildrenHidden" : false
        }, {
          "components" : [ {
            "label" : "Key",
            "labelPosition" : "left-left",
            "allowMultipleMasks" : false,
            "showWordCount" : false,
            "showCharCount" : false,
            "tableView" : true,
            "alwaysEnabled" : false,
            "type" : "textfield",
            "input" : true,
            "key" : "key",
            "defaultValue" : "",
            "validate" : {
              "customMessage" : "Zeichenkette ohne Sonderzeichen, mindestens 4 und höchstens 10 Zeichen, alles kleingeschrieben",
              "json" : "",
              "required" : true,
              "minLength" : null,
              "maxLength" : null,
              "minWords" : null,
              "maxWords" : null,
              "pattern" : "^[a-z]{4,10}$"
            },
            "conditional" : {
              "show" : "",
              "when" : "",
              "json" : ""
            },
            "tabs" : null,
            "properties" : { },
            "tags" : [ ],
            "inputFormat" : "plain",
            "encrypted" : false,
            "customConditional" : "",
            "logic" : [ ],
            "widget" : {
              "type" : ""
            },
            "reorder" : false
          } ],
          "width" : 6,
          "offset" : 0,
          "push" : 0,
          "pull" : 0,
          "type" : "column",
          "input" : false,
          "key" : "column4",
          "tableView" : true,
          "label" : "",
          "clearOnHide" : false,
          "hideOnChildrenHidden" : false
        } ],
        "label" : "Mengenrabattnr.",
        "mask" : false,
        "tableView" : false,
        "type" : "columns",
        "input" : false,
        "key" : "columns"
      } ],
      "clearOnHide" : false
    } ],
    "conditional" : {
      "show" : "",
      "when" : "",
      "json" : ""
    },
    "customConditional" : "show = data.wizard_selection == 'create_new_tenant';",
    "logic" : [ ],
    "properties" : { },
    "tags" : [ ]
  } ]
}